package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.KeyWord;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.HotWordListModel;
import com.lightinit.hsdataplatform.model.admin.HotWordModel;

import java.util.List;

public interface IHotWordService {
    List<HotWordListModel> queryList();

    ResultState add(HotWordModel inputModel);

    ResultState del(Long id);

    KeyWord selectById(Long id);

    ResultState doMove(HotWordModel inputModel);
}
